build problem

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

build problem

Alejandro Montenegro-2
It's first time I'm trying to build Geronimo, I'm running on a Gentoo
Linux on an AMD64, just downloaded the last revision (193080). Well
but the problem is that maven can't download all dependencies, I got
this error:

BUILD FAILED
File...... /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/plugin.jelly
Element... maven:reactor
Line...... 217
Column.... 9
The build cannot continue because of the following unsatisfied dependency:

scout-1.0-SNAPSHOT.jar

Are there any alternative way to get this dependencies?


--
Best regards
Alejandro Montenegro del Pino

Java Developer AT InnovatingFinances
Reply | Threaded
Open this post in threaded view
|

Re: build problem

David Jencks
You can try to wget it from the repository it is in into your local  
maven repo, but you will soon get tired of the 10000000000000 jars you  
will have to do this for.

Are you using maven 1.0.2?  Basically all other versions don't work,  
either older or newer.

Personally I can't wait for maven 2...
thanks
david jencks

On Jun 22, 2005, at 10:57 PM, Alejandro Montenegro wrote:

> It's first time I'm trying to build Geronimo, I'm running on a Gentoo
> Linux on an AMD64, just downloaded the last revision (193080). Well
> but the problem is that maven can't download all dependencies, I got
> this error:
>
> BUILD FAILED
> File......  
> /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/
> plugin.jelly
> Element... maven:reactor
> Line...... 217
> Column.... 9
> The build cannot continue because of the following unsatisfied  
> dependency:
>
> scout-1.0-SNAPSHOT.jar
>
> Are there any alternative way to get this dependencies?
>
>
> --
> Best regards
> Alejandro Montenegro del Pino
>
> Java Developer AT InnovatingFinances
>

Reply | Threaded
Open this post in threaded view
|

Re: build problem

Alejandro Montenegro-2
using maven 1.0 :S

2005/6/23, David Jencks <[hidden email]>:

> You can try to wget it from the repository it is in into your local
> maven repo, but you will soon get tired of the 10000000000000 jars you
> will have to do this for.
>
> Are you using maven 1.0.2?  Basically all other versions don't work,
> either older or newer.
>
> Personally I can't wait for maven 2...
> thanks
> david jencks
>
> On Jun 22, 2005, at 10:57 PM, Alejandro Montenegro wrote:
>
> > It's first time I'm trying to build Geronimo, I'm running on a Gentoo
> > Linux on an AMD64, just downloaded the last revision (193080). Well
> > but the problem is that maven can't download all dependencies, I got
> > this error:
> >
> > BUILD FAILED
> > File......
> > /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/
> > plugin.jelly
> > Element... maven:reactor
> > Line...... 217
> > Column.... 9
> > The build cannot continue because of the following unsatisfied
> > dependency:
> >
> > scout-1.0-SNAPSHOT.jar
> >
> > Are there any alternative way to get this dependencies?
> >
> >
> > --
> > Best regards
> > Alejandro Montenegro del Pino
> >
> > Java Developer AT InnovatingFinances
> >
>
>


--
Alejandro Montenegro del Pino

Java Developer AT InnovatingFinances
Reply | Threaded
Open this post in threaded view
|

Re: build problem

Alejandro Montenegro-2
So there is no elegant way to build Geronimo?

2005/6/23, Alejandro Montenegro <[hidden email]>:

> using maven 1.0 :S
>
> 2005/6/23, David Jencks <[hidden email]>:
> > You can try to wget it from the repository it is in into your local
> > maven repo, but you will soon get tired of the 10000000000000 jars you
> > will have to do this for.
> >
> > Are you using maven 1.0.2?  Basically all other versions don't work,
> > either older or newer.
> >
> > Personally I can't wait for maven 2...
> > thanks
> > david jencks
> >
> > On Jun 22, 2005, at 10:57 PM, Alejandro Montenegro wrote:
> >
> > > It's first time I'm trying to build Geronimo, I'm running on a Gentoo
> > > Linux on an AMD64, just downloaded the last revision (193080). Well
> > > but the problem is that maven can't download all dependencies, I got
> > > this error:
> > >
> > > BUILD FAILED
> > > File......
> > > /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/
> > > plugin.jelly
> > > Element... maven:reactor
> > > Line...... 217
> > > Column.... 9
> > > The build cannot continue because of the following unsatisfied
> > > dependency:
> > >
> > > scout-1.0-SNAPSHOT.jar
> > >
> > > Are there any alternative way to get this dependencies?
> > >
> > >
> > > --
> > > Best regards
> > > Alejandro Montenegro del Pino
> > >
> > > Java Developer AT InnovatingFinances
> > >
> >
> >
>
> --
> Alejandro Montenegro del Pino
>
> Java Developer AT InnovatingFinances
>


--
Alejandro Montenegro del Pino

Java Developer AT InnovatingFinances
Reply | Threaded
Open this post in threaded view
|

Re: build problem

David Jencks

On Jun 22, 2005, at 11:14 PM, Alejandro Montenegro wrote:

> So there is no elegant way to build Geronimo?

Sure, use maven 1.0.2

david jencks

>
> 2005/6/23, Alejandro Montenegro <[hidden email]>:
>> using maven 1.0 :S
>>
>> 2005/6/23, David Jencks <[hidden email]>:
>>> You can try to wget it from the repository it is in into your local
>>> maven repo, but you will soon get tired of the 10000000000000 jars
>>> you
>>> will have to do this for.
>>>
>>> Are you using maven 1.0.2?  Basically all other versions don't work,
>>> either older or newer.
>>>
>>> Personally I can't wait for maven 2...
>>> thanks
>>> david jencks
>>>
>>> On Jun 22, 2005, at 10:57 PM, Alejandro Montenegro wrote:
>>>
>>>> It's first time I'm trying to build Geronimo, I'm running on a
>>>> Gentoo
>>>> Linux on an AMD64, just downloaded the last revision (193080). Well
>>>> but the problem is that maven can't download all dependencies, I got
>>>> this error:
>>>>
>>>> BUILD FAILED
>>>> File......
>>>> /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/
>>>> plugin.jelly
>>>> Element... maven:reactor
>>>> Line...... 217
>>>> Column.... 9
>>>> The build cannot continue because of the following unsatisfied
>>>> dependency:
>>>>
>>>> scout-1.0-SNAPSHOT.jar
>>>>
>>>> Are there any alternative way to get this dependencies?
>>>>
>>>>
>>>> --
>>>> Best regards
>>>> Alejandro Montenegro del Pino
>>>>
>>>> Java Developer AT InnovatingFinances
>>>>
>>>
>>>
>>
>> --
>> Alejandro Montenegro del Pino
>>
>> Java Developer AT InnovatingFinances
>>
>
>
> --
> Alejandro Montenegro del Pino
>
> Java Developer AT InnovatingFinances
>

Reply | Threaded
Open this post in threaded view
|

Re: build problem

Jeremy Boynes
In reply to this post by David Jencks
David Jencks wrote:
>
> Are you using maven 1.0.2?  Basically all other versions don't work,  
> either older or newer.
>

Dumb question, but what changed in the build that stopped maven 1.0 from
working and can we work around it?

--
Jeremy
Reply | Threaded
Open this post in threaded view
|

Re: build problem

Dain Sundstrom
We now use a single global repository list which is way easier to  
maintain.  In maven 1.0 and 1.0.1 there was a bug that caused a  
module to not inherit the repo list from the parent project.

-dain

On Jun 23, 2005, at 10:28 AM, Jeremy Boynes wrote:

> David Jencks wrote:
>
>> Are you using maven 1.0.2?  Basically all other versions don't  
>> work,  either older or newer.
>>
>
> Dumb question, but what changed in the build that stopped maven 1.0  
> from working and can we work around it?
>
> --
> Jeremy
>

Reply | Threaded
Open this post in threaded view
|

Re: build problem

Alejandro Montenegro-2
In reply to this post by David Jencks
perfect, it works with maven  1.0.2, thanks David

2005/6/23, David Jencks <[hidden email]>:

>
> On Jun 22, 2005, at 11:14 PM, Alejandro Montenegro wrote:
>
> > So there is no elegant way to build Geronimo?
>
> Sure, use maven 1.0.2
>
> david jencks
>
> >
> > 2005/6/23, Alejandro Montenegro <[hidden email]>:
> >> using maven 1.0 :S
> >>
> >> 2005/6/23, David Jencks <[hidden email]>:
> >>> You can try to wget it from the repository it is in into your local
> >>> maven repo, but you will soon get tired of the 10000000000000 jars
> >>> you
> >>> will have to do this for.
> >>>
> >>> Are you using maven 1.0.2?  Basically all other versions don't work,
> >>> either older or newer.
> >>>
> >>> Personally I can't wait for maven 2...
> >>> thanks
> >>> david jencks
> >>>
> >>> On Jun 22, 2005, at 10:57 PM, Alejandro Montenegro wrote:
> >>>
> >>>> It's first time I'm trying to build Geronimo, I'm running on a
> >>>> Gentoo
> >>>> Linux on an AMD64, just downloaded the last revision (193080). Well
> >>>> but the problem is that maven can't download all dependencies, I got
> >>>> this error:
> >>>>
> >>>> BUILD FAILED
> >>>> File......
> >>>> /home/aamonten/.maven/cache/maven-multiproject-plugin-1.3.1/
> >>>> plugin.jelly
> >>>> Element... maven:reactor
> >>>> Line...... 217
> >>>> Column.... 9
> >>>> The build cannot continue because of the following unsatisfied
> >>>> dependency:
> >>>>
> >>>> scout-1.0-SNAPSHOT.jar
> >>>>
> >>>> Are there any alternative way to get this dependencies?
> >>>>
> >>>>
> >>>> --
> >>>> Best regards
> >>>> Alejandro Montenegro del Pino
> >>>>
> >>>> Java Developer AT InnovatingFinances
> >>>>
> >>>
> >>>
> >>
> >> --
> >> Alejandro Montenegro del Pino
> >>
> >> Java Developer AT InnovatingFinances
> >>
> >
> >
> > --
> > Alejandro Montenegro del Pino
> >
> > Java Developer AT InnovatingFinances
> >
>
>


--
Alejandro Montenegro del Pino

Java Developer AT InnovatingFinances
Reply | Threaded
Open this post in threaded view
|

Re: build problem

Jacek Laskowski-5
In reply to this post by Dain Sundstrom
Dain Sundstrom wrote:
> We now use a single global repository list which is way easier to  
> maintain.  In maven 1.0 and 1.0.1 there was a bug that caused a  module
> to not inherit the repo list from the parent project.

I've been recently wondering about the cause and completely forgot to
ask. Anyway, it's not a rocket science, anymore ;) Added to the Building
section on the Wiki.

> -dain

Jacek